Skip to main content
GET
/
learnings
/
users
List Learning Users
curl --request GET \
  --url https://api.example.com/learnings/users \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "user_id": "<string>",
      "last_learning_updated_at": 123
    }
  ],
  "meta": {
    "page": 0,
    "limit": 20,
    "total_pages": 0,
    "total_count": 0,
    "search_time_ms": 0
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

learning_type
string | null

Restrict the grouping to a single learning type

user_id
string | null

Restrict the result to a single user

limit
integer
default:20

Page size

Required range: 1 <= x <= 1000
page
integer
default:1

1-indexed page number

Required range: x >= 1
sort_by
string | null

Field to sort by: user_id or last_learning_updated_at (the default)

sort_order
enum<string> | null
default:desc

Sort order (asc or desc)

Available options:
asc,
desc
db_id
string | null

Database ID to query

table
string | null

The database table to use (requires db_id)

Response

Learning users retrieved successfully

data
LearningUserStats · object[]
required

List of items for the current page

meta
PaginationInfo · object
required

Pagination metadata